# vertex definition 
vertex 2 xyz 1.0 0.0 0.0 
vertex 3 xyz 1.0 1.0 0.0 
vertex 4 xyz 0.0 1.0 0.0 
vertex 5 xyz 0.0 0.0 1.0 
vertex 6 xyz 1.0 0.0 1.0 
vertex 7 xyz 1.0 1.0 1.0 
vertex 8 xyz 0.0 1.0 1.0 
# definition of curves conecting verteces
curve 1 vertex 1 2 
curve 2 vertex 2 3 
curve 3 vertex 3 4 
curve 4 vertex 4 1 
curve 5 vertex 5 6 
curve 6 vertex 6 7 
curve 7 vertex 7 8 
curve 8 vertex 8 5 
curve 9 vertex 1 5 
curve 10 vertex 2 6 
curve 11 vertex 3 7 
curve 12 vertex 4 8 
# surface definition - surface normals of all surfaces must be oriented out of the resulting body
surface 1 curve 1 2 3 4 
surface 2 curve 8 7 6 5 
surface 3 curve 1 9 5 10 
surface 4 curve 10 6 11 2 
surface 5 curve 11 7 12 3 
surface 6 curve 12 8 9 4 
# region definition
region 1 boundary surface 1 2 3 4 5 6 

